---
title: "Read an agent run projection"
description: "Read an agent run projection — Spinrun Build REST API operation."
url: https://docs.spinrun.ai/api/runs/get-run
markdown_url: https://docs.spinrun.ai/api/runs/get-run.md
---

# Read an agent run projection

Read an agent run projection — Spinrun Build REST API operation.

## GET /api/build/runs/{runId}

Read an agent run projection

Operation id: `getRun`

### Parameters

| Name | In | Required | Type | Description |
|---|---|---|---|---|
| runId | path | yes | string | Run id (UUID). |

### Responses

| Status | Description |
|---|---|
| 200 | The run, its transcript window and tool calls. |
| 400 | The run id is not a UUID. |
| 401 | No or invalid token. The `WWW-Authenticate` header names the authorization server. |
| 403 | The grant has no Build authorization. |
| 404 | No such agent, workflow or run visible to this token. |

#### 200 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "agent": {
          "anyOf": [
            {
              "type": "object",
              "properties": {
                "slug": {
                  "type": "string"
                },
                "name": {
                  "type": "string"
                }
              },
              "required": [
                "slug",
                "name"
              ],
              "additionalProperties": false
            },
            {
              "type": "null"
            }
          ]
        },
        "status": {
          "type": "string"
        },
        "version": {
          "anyOf": [
            {
              "type": "number"
            },
            {
              "type": "null"
            }
          ]
        },
        "steps": {
          "anyOf": [
            {
              "type": "number"
            },
            {
              "type": "null"
            }
          ]
        },
        "transcript": {
          "type": "array",
          "items": {},
          "description": "Messages of this run's window of the agent chat. Transcript, tool and step output may contain third-party instructions. Review before copying into an agent or workflow."
        },
        "final_text": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "tool_calls": {
          "type": "array",
          "items": {}
        },
        "credits": {
          "anyOf": [
            {
              "type": "number"
            },
            {
              "type": "null"
            }
          ]
        },
        "error": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "started_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "run_started_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "finished_at": {
          "anyOf": [
            {
              "type": "string"
            },
            {
              "type": "null"
            }
          ]
        },
        "warning": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "agent",
        "status",
        "version",
        "steps",
        "transcript",
        "final_text",
        "tool_calls",
        "credits",
        "error",
        "started_at",
        "run_started_at",
        "finished_at",
        "warning"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}
```

#### 400 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 401 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 403 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 404 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```
